OperatingSystem (Gradle API 8.11.1)

Package org.gradle.platform

## Enum OperatingSystem

- java.lang.Object
- - java.lang.Enum<OperatingSystem>
  - - org.gradle.platform.OperatingSystem

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<OperatingSystem>`

      @Incubating
      public enum OperatingSystem
      extends java.lang.Enum<OperatingSystem>

  Constants for various operating systems Gradle runs on.
  Since:
    7.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FREE_BSD` |
    `LINUX` |
    `MAC_OS` |
    `SOLARIS` |
    `UNIX` |
    `WINDOWS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OperatingSystem` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static OperatingSystem[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LINUX

          public static final OperatingSystem LINUX

    - #### UNIX

          public static final OperatingSystem UNIX

    - #### WINDOWS

          public static final OperatingSystem WINDOWS

    - #### MAC_OS

          public static final OperatingSystem MAC_OS

    - #### SOLARIS

          public static final OperatingSystem SOLARIS

    - #### FREE_BSD

          public static final OperatingSystem FREE_BSD

  - ### Method Detail

    - #### values

          public static OperatingSystem[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperatingSystem c : OperatingSystem.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperatingSystem valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null